cannot load g729 free codec (on 1.4 it worked!)

Home » Asterisk Users » cannot load g729 free codec (on 1.4 it worked!)
Asterisk Users No Comments

On Wed, Dec 22, 2010 at 04:48:33PM +0100, Giorgio Incantalupo wrote:
> Hi all,
>
> thanks for answering.
>
> You all are right but I do not really need the codec because my phones
> and my Voip lines are all working using g729.

I assume you do not need it as you stated. In this case, configure your
VoIP lines not to use g729. Problem solved.

> Asterisk is working fine
> without transcoding as well…..the problem is my CLI is flooded with
> messages like:
> WARNING[7831] translate.c: No translator path from alaw to unknown
> which are quite annoying…aren’t they?

Asterisk is complaining because it *does* need a g729 codec.

> Should I pay to avoid a CLI message….?

Patching it out should be simple. But you’d still miss the audio.

> That doesn’t sound fair to me.

As I just mentioned: you’d be missing some audio.